/* RTC DS-1302 */
#include <virtuabotixRTC.h> // подключаем библиотеку

virtuabotixRTC myRTC(6, 7, 8); // создаем объект RTC (CLK к 6 цифр.выводу, DAT к 7, RST к 8)

void setup()  {      
  Serial.begin(9600);
  // устанавливаем текущее время в следующем формате:
  // секунды, минуты, часы, день недели, день, месяц, год
  // как только установили время, не забудьте прокомментировать
  // строчку ниже, иначе время будет устанавливаться снова
  myRTC.setDS1302Time(59, 37, 13, 4, 7, 3, 2019);
}
 
void loop()  {
  // обновляем время
  myRTC.updateTime(); 

  // выводим информацию в монитор порта
  Serial.print("Current Date / Time: ");
  Serial.print(myRTC.dayofmonth);
  Serial.print("/");
  Serial.print(myRTC.month);
  Serial.print("/");
  Serial.print(myRTC.year);
  Serial.print("  ");
  Serial.print(myRTC.hours);
  Serial.print(":");
  Serial.print(myRTC.minutes);
  Serial.print(":"); 
  Serial.println(myRTC.seconds);

  // пауза в 5с
  delay( 5000);
}
